org.apache.synapse.transport.http.conn

## Class ServerConnFactory

- java.lang.Object
- - org.apache.synapse.transport.http.conn.ServerConnFactory

-     public class ServerConnFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALL_NETWORK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConnFactory(org.apache.http.params.HttpParams params)`
    `ServerConnFactory(org.apache.http.HttpRequestFactory requestFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, SSLContextDetails ssl, java.util.Map<java.net.InetSocketAddress,SSLContextDetails> sslByIPMap, org.apache.http.params.HttpParams params)`
    `ServerConnFactory(SSLContextDetails ssl, java.util.Map<java.net.InetSocketAddress,SSLContextDetails> sslByIPMap, org.apache.http.params.HttpParams params)`
    `ServerConnFactory(SSLContextDetails ssl, java.util.Map<java.net.InetSocketAddress,SSLContextDetails> sslByIPMap, org.apache.http.params.HttpParams params, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.impl.nio.DefaultNHttpServerConnection` | `createConnection(org.apache.http.nio.reactor.IOSession iosession)`
    `java.util.Set<java.net.InetSocketAddress>` | `getBindAddresses()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_NETWORK

          public static final java.lang.String ALL_NETWORK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerConnFactory

          public ServerConnFactory(org.apache.http.HttpRequestFactory requestFactory,
                                   org.apache.http.nio.util.ByteBufferAllocator allocator,
                                   SSLContextDetails ssl,
                                   java.util.Map<java.net.InetSocketAddress,SSLContextDetails> sslByIPMap,
                                   org.apache.http.params.HttpParams params)

    - #### ServerConnFactory

          public ServerConnFactory(SSLContextDetails ssl,
                                   java.util.Map<java.net.InetSocketAddress,SSLContextDetails> sslByIPMap,
                                   org.apache.http.params.HttpParams params)

    - #### ServerConnFactory

          public ServerConnFactory(SSLContextDetails ssl,
                                   java.util.Map<java.net.InetSocketAddress,SSLContextDetails> sslByIPMap,
                                   org.apache.http.params.HttpParams params,
                                   int port)

    - #### ServerConnFactory

          public ServerConnFactory(org.apache.http.params.HttpParams params)

  - ### Method Detail

    - #### createConnection

          public org.apache.http.impl.nio.DefaultNHttpServerConnection createConnection(org.apache.http.nio.reactor.IOSession iosession)

    - #### getBindAddresses

          public java.util.Set<java.net.InetSocketAddress> getBindAddresses()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.